<?php
/**
 * @category   DeliveryPerson
 * @package    DeliveryPerson_DeliveryModule
 * @author     prashant.bluethink@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace DeliveryPerson\DeliveryModule\Controller\Index;

use Magento\Framework\App\Action\Context;
use DeliveryPerson\DeliveryModule\Model\DeliveryModuleFactory;

class Save extends \Magento\Framework\App\Action\Action
{
	/**
     * @var DeliveryModule
     */
    protected $_deliverymodule;

    public function __construct(
		Context $context,
        DeliveryModuleFactory $deliverymodule
    ) {
        $this->_deliverymodule = $deliverymodule;
        parent::__construct($context);
    }
	public function execute()
    {
        $data = $this->getRequest()->getParams();
    	$deliverymodule = $this->_deliverymodule->create();
        $deliverymodule->setData($data);
        if($deliverymodule->save()){
            $this->messageManager->addSuccessMessage(__('You saved the data.'));
        }else{
            $this->messageManager->addErrorMessage(__('Data was not saved.'));
        }
        $resultRedirect = $this->resultRedirectFactory->create();
        $resultRedirect->setPath('deliverymodule/index/index');
        return $resultRedirect;
    }
}
